Subject: bug#44743: native-comp: confirm-exit-emacs warns about active processes when compiling

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Nov 2020 13:35:41 +0200

> Cc: [email-masked]
> Date: Fri, 20 Nov 2020 08:35:49 +0000
> From: Andrea Corallo via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> > 0. rm -rf ~/.emacs.d/eln-cache
> > 1. emacs -Q
> > 2. C-x C-c
> > 3. Press "y" (I am sure I want to quit)
> >
> > A prompt is now shown with this text:
> > "Active processes exist; kill them and exit anyway? (y or n) "
> >
> > The processes are all native-comp processes.
> >
> > Expected result: No prompt is shown.  The native-comp processes are
> > recognized and killed automatically.
> 
> Hi Stefan,
> 
> I agree this would be nice to have.

FWIW, I think this should be controlled by a user option.  It is not
at all obvious that everyone would like compilation processes to be
killed automatically, people might want to wait for them to complete.